> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Link Sets



## OpenAPI

````yaml /openapi.json get /link-sets
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /link-sets:
    get:
      tags:
        - Link Set
        - Link Set
      summary: Get Link Sets
      operationId: getLinkSets
      parameters: []
      responses:
        '200':
          description: The Link Sets were found and returned.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkSet'
components:
  schemas:
    LinkSet:
      type: object
      properties:
        id:
          type: string
          description: The ID of the Link Set.
        identifier:
          type: string
          description: The identifier of the Link Set.
        qualifier:
          type: string
          description: The qualifier of the Link Set.
        links:
          description: The links of the Link Set.
          type: array
          items:
            $ref: '#/components/schemas/Link'
        createdAt:
          format: date-time
          type: string
          description: The creation date of the Link Set.
        updatedAt:
          format: date-time
          type: string
          description: The last update date of the Link Set.
      required:
        - qualifier
        - links
        - createdAt
        - updatedAt
    Link:
      type: object
      properties:
        relationType:
          type: string
          description: The relation type of the link.
        href:
          type: string
          description: The href of the link.
        objectKey:
          type: string
          description: The object key of the link, if TYPE is OBJECT.
        title:
          type: string
          description: The title of the link
        lang:
          description: The language of the link.
          type: array
          items:
            type: string
        createdAt:
          format: date-time
          type: string
          description: The creation date of the Link.
        updatedAt:
          format: date-time
          type: string
          description: The last update date of the Link.
      required:
        - relationType
        - title
        - createdAt
        - updatedAt

````